# -*- coding: utf-8 -*-

from django.conf.urls import url
from rest_framework.urlpatterns import format_suffix_patterns
from jmb.locality_it.api import views

urlpatterns = [
    url(r'^regions/$', views.RegionList.as_view(), name='region_list'),
    url(r'^provinces/$', views.ProvinceList.as_view(), name='province_list'),
    url(
        r'^region_provinces/(?P<region_code>[a-zA-Z0-9]+)/$',
        views.ProvinceList.as_view(), name='province_list_region'),
    url(r'^localities/$', views.LocalityList.as_view(), name='locality_list'),
    url(
        r'^region_localities/(?P<region_code>[a-zA-Z0-9]+)/$',
        views.LocalityList.as_view(), name='locality_list_region'),
    url(
        r'^region_localities/(?P<region_code>[a-zA-Z0-9]+)/(?P<province_code>[a-zA-Z0-9]+)/$',
        views.LocalityList.as_view(), name='locality_list_region_province'),
    url(
        r'^province_localities/(?P<province_code>[a-zA-Z0-9]+)/$',
        views.LocalityList.as_view(), name='locality_list_province'),
]

urlpatterns = format_suffix_patterns(urlpatterns)