# coding: utf-8

from django.core.management.base import BaseCommand
from django.core.files import File

from optparse import make_option

from jmb.core.admin.import_data import XlsFile

from jmb.locality_it import models


class ImportRegionProvince(XlsFile):
    """
    To import data from import_command_source execute:

    dj import_region_province_from_xls -f .src/jmb.locality_it/jmb/locality_it/management/commands/import_command_source/import_region_province.xlsx

    """

    def do(self, row, kw, j):
        region, created = models.Region.objects.get_or_create(code=int(row.CodiceRegione))
        region.name = row.Regione
        region.save()
        province, created = models.Province.objects.get_or_create(code=int(row.CodiceProvincia))
        province.name = row.Provincia
        province.abbr = row.Abbreviazione
        province.region = region
        province.save()


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )

    output_transaction = True

    def handle(self, *args, **options):
        filename = options.get('filename')
        if filename is not None:
            address_to_import = File(open(filename, 'r'))
            import_data = ImportRegionProvince(
                file_contents=address_to_import.read(), auto=True)
            import_data.read()
        else:
            print "please indicate file to import with -f <file_name>"