# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Locality',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('istat_code', models.CharField(max_length=10, unique=True, serialize=False, verbose_name='ISTAT code', primary_key=True)),
                ('code', models.CharField(max_length=10, verbose_name='code')),
                ('name', models.CharField(max_length=100, verbose_name='city name')),
                ('creator', models.ForeignKey(related_name='locality_it_locality_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='locality_it_locality_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'city',
                'verbose_name_plural': 'cities',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Province',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=10, unique=True, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name')),
                ('abbr', models.CharField(unique=True, max_length=2, verbose_name='abbreviation')),
                ('creator', models.ForeignKey(related_name='locality_it_province_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='locality_it_province_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'province',
                'verbose_name_plural': 'provinces',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=10, unique=True, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name')),
                ('creator', models.ForeignKey(related_name='locality_it_region_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='locality_it_region_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'region',
                'verbose_name_plural': 'regions',
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='province',
            name='region',
            field=models.ForeignKey(related_name='provinces', verbose_name='region', to='locality_it.Region'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='locality',
            name='province',
            field=models.ForeignKey(related_name='localities', verbose_name='province', to='locality_it.Province'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='locality',
            name='region',
            field=models.ForeignKey(related_name='cities', verbose_name='regions', to='locality_it.Region', help_text='region of a city/town'),
            preserve_default=True,
        ),
    ]
