# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.db.models.deletion
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('locality_it', '0002_remove_locality_region'),
    ]

    operations = [
        migrations.CreateModel(
            name='ZipCode',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=5, verbose_name='code')),
                ('creator', models.ForeignKey(related_name='locality_it_zipcode_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='locality_it_zipcode_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('code',),
                'verbose_name': 'zip code',
                'verbose_name_plural': 'zip codes',
            },
        ),
        migrations.AlterModelOptions(
            name='locality',
            options={'ordering': ('name',), 'verbose_name': 'locality', 'verbose_name_plural': 'localities'},
        ),
        migrations.AlterField(
            model_name='locality',
            name='name',
            field=models.CharField(max_length=100, verbose_name='name'),
        ),
        migrations.AlterField(
            model_name='locality',
            name='province',
            field=models.ForeignKey(related_name='localities', on_delete=django.db.models.deletion.SET_NULL, verbose_name='province', blank=True, to='locality_it.Province', null=True),
        ),
        migrations.AlterField(
            model_name='province',
            name='region',
            field=models.ForeignKey(related_name='provinces', on_delete=django.db.models.deletion.SET_NULL, verbose_name='region', blank=True, to='locality_it.Region', null=True),
        ),
        migrations.AddField(
            model_name='zipcode',
            name='locality',
            field=models.ManyToManyField(related_name='caps', verbose_name='locality', to='locality_it.Locality'),
        ),
    ]
